<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="res_config_settings_view_form_sf_sync" model="ir.ui.view">
            <field name="name">res.config.settings.view.form.inherit.sf_sync</field>
            <field name="model">res.config.settings</field>
            <field name="inherit_id" ref="base_setup.res_config_settings_view_form"/>
            <field name="arch" type="xml">
                <xpath expr="//div[hasclass('app_settings_block')]/div" position="before">
                    <div>
                        <h2>同步参数配置</h2>
                        <div class="row mt16 o_settings_container" id="pay_api">
                            <div class="col-12 col-lg-6 o_setting_box">
                                <div class="o_setting_left_pane"/>
                                <div class="o_setting_right_pane">
                                    <div class="text-muted">
                                        <label for="sf_url"/>
                                        <field name="sf_url"/>
                                    </div>
                                    <div class="text-muted">
                                        <label for="token" string="Token"/>
                                        <field name="token"/>
                                    </div>
                                    <div class="text-muted">
                                        <label for="sf_secret_key"/>
                                        <field name="sf_secret_key"/>
                                    </div>
                                    <div class="col-12 col-lg-6 o_setting_box">
                                        <button type="object" class="oe_highlight" name="sf_all_sync" confirm="确认同步"
                                                string="同步资源库基础数据"
                                        />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div>
                        <h2>FTP参数配置</h2>
                        <div class="row mt16 o_settings_container" id="pay_api">
                            <div class="col-12 col-lg-6 o_setting_box">
                                <div class="o_setting_left_pane"/>
                                <div class="o_setting_right_pane">
                                    <div class="text-muted">
                                        <label for="ftp_host" string="访问地址"/>
                                        <field name="ftp_host"/>
                                    </div>
                                    <div class="text-muted">
                                        <label for="ftp_port" string="端口"/>
                                        <field name="ftp_port"/>
                                    </div>
                                    <div class="text-muted">
                                        <label for="ftp_user" string="用户"/>
                                        <field name="ftp_user"/>
                                    </div>
                                    <div class="text-muted">
                                        <label for="ftp_password" string="密码"/>
                                        <field name="ftp_password" password="True"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </xpath>
            </field>
        </record>

    </data>
</odoo>